USN-3189-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3189-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3189-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3189-1
Related
  • CVE-2016-10147
  • CVE-2016-8399
Published
2017-02-03T09:12:18.394887Z
Modified
2017-02-03T09:12:18.394887Z
Summary
linux, linux-raspi2, linux-snapdragon vulnerabilities
Details

Mikulas Patocka discovered that the asynchronous multibuffer cryptographic daemon (mcryptd) in the Linux kernel did not properly handle being invoked with incompatible algorithms. A local attacker could use this to cause a denial of service (system crash). (CVE-2016-10147)

Qidan He discovered that the ICMP implementation in the Linux kernel did not properly check the size of an ICMP header. A local attacker with CAPNETADMIN could use this to expose sensitive information. (CVE-2016-8399)

References

Affected packages

Ubuntu:16.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1042.49

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1042-raspi2": "4.4.0-1042.49"
        }
    ]
}

Ubuntu:16.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1046.50

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1046-snapdragon": "4.4.0-1046.50"
        }
    ]
}

Ubuntu:16.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-62.83

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-62-powerpc-smp": "4.4.0-62.83",
            "linux-image-extra-4.4.0-62-generic": "4.4.0-62.83",
            "linux-image-4.4.0-62-lowlatency": "4.4.0-62.83",
            "linux-image-4.4.0-62-generic-lpae": "4.4.0-62.83",
            "linux-image-4.4.0-62-generic": "4.4.0-62.83",
            "linux-image-4.4.0-62-powerpc-e500mc": "4.4.0-62.83",
            "linux-image-4.4.0-62-powerpc64-emb": "4.4.0-62.83",
            "linux-image-4.4.0-62-powerpc64-smp": "4.4.0-62.83"
        }
    ]
}